Bug 161147 - [Fetch API] Response cloning should structureClone when teeing Response stream
Summary: [Fetch API] Response cloning should structureClone when teeing Response stream
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks: 151937
  Show dependency treegraph
 
Reported: 2016-08-24 10:16 PDT by youenn fablet
Modified: 2016-08-29 03:54 PDT (History)
3 users (show)

See Also:


Attachments
Patch (28.43 KB, patch)
2016-08-24 10:26 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-elcapitan-wk2 (602.38 KB, application/zip)
2016-08-24 12:04 PDT, Build Bot
no flags Details
Setting correct argument count (28.40 KB, patch)
2016-08-25 06:55 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (26.68 KB, patch)
2016-08-29 01:54 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (28.39 KB, patch)
2016-08-29 03:22 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2016-08-24 10:16:56 PDT
As per there spec, structureClone should be used when teeing.
structureClone should be supported in ReadableStream tee.
Comment 1 youenn fablet 2016-08-24 10:26:23 PDT
Created attachment 286862 [details]
Patch
Comment 2 Build Bot 2016-08-24 12:04:25 PDT
Comment on attachment 286862 [details]
Patch

Attachment 286862 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1935271

New failing tests:
fast/scrolling/ios/scrollTo-at-page-load.html
Comment 3 Build Bot 2016-08-24 12:04:27 PDT
Created attachment 286879 [details]
Archive of layout-test-results from ews122 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.5
Comment 4 youenn fablet 2016-08-24 12:36:20 PDT
Comment on attachment 286862 [details]
Patch

win and ios-sim failures seem unrelated to this patch.
Comment 5 youenn fablet 2016-08-25 06:55:16 PDT
Created attachment 286965 [details]
Setting correct argument count
Comment 6 Darin Adler 2016-08-27 17:13:52 PDT
Comment on attachment 286965 [details]
Setting correct argument count

View in context: https://bugs.webkit.org/attachment.cgi?id=286965&action=review

> Source/WebCore/bindings/js/StructuredClone.h:28
> +typedef int64_t EncodedJSValue;

New code should use "using".

> Source/WebCore/bindings/js/StructuredClone.h:35
> +namespace WebCore {
> +JSC::EncodedJSValue JSC_HOST_CALL structuredCloneArrayBuffer(JSC::ExecState*);
> +JSC::EncodedJSValue JSC_HOST_CALL structuredCloneArrayBufferView(JSC::ExecState*);
> +} // namespace WebCore

Should have blank lines inside the namespace.
Comment 7 youenn fablet 2016-08-29 01:54:48 PDT
Created attachment 287259 [details]
Patch for landing
Comment 8 youenn fablet 2016-08-29 02:19:21 PDT
Thanks for the review.

(In reply to comment #6)
> Comment on attachment 286965 [details]
> Setting correct argument count
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=286965&action=review
> 
> > Source/WebCore/bindings/js/StructuredClone.h:28
> > +typedef int64_t EncodedJSValue;
> 
> New code should use "using".

Done

> > Source/WebCore/bindings/js/StructuredClone.h:35
> > +namespace WebCore {
> > +JSC::EncodedJSValue JSC_HOST_CALL structuredCloneArrayBuffer(JSC::ExecState*);
> > +JSC::EncodedJSValue JSC_HOST_CALL structuredCloneArrayBufferView(JSC::ExecState*);
> > +} // namespace WebCore
> 
> Should have blank lines inside the namespace.

Done
Comment 9 youenn fablet 2016-08-29 03:22:57 PDT
Created attachment 287264 [details]
Patch for landing
Comment 10 WebKit Commit Bot 2016-08-29 03:54:33 PDT
Comment on attachment 287264 [details]
Patch for landing

Clearing flags on attachment: 287264

Committed r205117: <http://trac.webkit.org/changeset/205117>
Comment 11 WebKit Commit Bot 2016-08-29 03:54:39 PDT
All reviewed patches have been landed.  Closing bug.